# Exploring Fine-Tuned Embeddings that Model Intensifiers for Emotion Analysis

This folder contains files related to [this paper](https://www.aclweb.org/anthology/papers/W/W19/W19-1304/).
If you plan to use these data, please use this citation:

```
@inproceedings{bostan-klinger-2019-exploring,
    title = "Exploring Fine-Tuned Embeddings that Model Intensifiers for Emotion Analysis",
    author = "Bostan, Laura Ana Maria  and
      Klinger, Roman",
    booktitle = "Proceedings of the Tenth Workshop on Computational Approaches to Subjectivity, Sentiment and Social Media Analysis",
    month = jun,
    year = "2019",
    address = "Minneapolis, USA",
    publisher = "Association for Computational Linguistics",
    url = "https://www.aclweb.org/anthology/W19-1304",
    pages = "25--34",
}
```

### Files

 All files published here are in the tab-seperated values (TSV) format. If you need access to the embedding spaces, contact me at laura.bostan (AT) ims.uni-stuttgart.de.
 
 -----


`phrase2info.tsv` contains information about the modified phrases considered within this work (e.g. modifier type, frequency, adjective, and target emotion)

```
phrase                  modifier_type      emotion_adjective       emotion     count
absolutely cheery       amplifier          cheery                  joy         0
```

----

`word_synonyms.tsv` shows how many annotators agreed for each synonym candidate about it being a synonym of a given emotion word:

```
adjective       synonym           count_annotators_agreed
angry           annoyed                   7
angry           cross                     10
angry           frustrated                10
angry           irate                     9
angry           mad                       9
angry           miffed                    7
angry           pissed                    10
angry           ticked-off                9
angry           vexed                     6
```

----

`other_synonym.tsv` contains the list of all potential candidates as synonyms for the adjectives as retrieved automatically from dictionaries:

```
emotion synonym
fear    afraid
fear    frightened
fear    scared
fear    alarmed
fear    fearful
fear    startled
fear    intimidated
fear    panic-stricken
fear    petrified
fear    afraid
fear    chary
fear    claustrophobic
fear    fearfully
fear    feart
fear    frayed
fear    frozen
fear    horrified
fear    horror-struck
fear    nervous
fear    nervy
fear    overawed
fear    rooted
fear    glued
fear    running scared
fear    shaken
fear    shitless
fear    shit-scared
fear    sick to your stomach
fear    supine
fear    tame
fear    terrified
fear    traumatised
fear    traumatized
fear    weak-kneed
```

----

`scores_twitter_context.tsv` contains the results of best-worst-scaling annotation on the phrases shown in their context:
```
targetEmotion   phrase              score
joy             absolutely happy    0.974      
joy             perfectly happy     0.967          
joy             extremely happy     0.949          
joy             really joyful       0.903          
```
----

`scores_nocontext.tsv` contains the results of of best-worst-scaling annotating on the phrases without showing their context:
```
targetEmotion   phrase               score
joy             absolutely happy     0.974
joy             perfectly happy      0.967
joy             extremely happy      0.949
joy             really joyful        0.903
```

----

`twitter_corpus.tsv` contains the tweets used for annotation with context:

```
TweetID    targetEmotion    modifiedPhrase    tweetText
1028004638530760704	anger	extremely pissed	I love my dog so much. My whole heart belongs to something that is 40 lbs and gets extremely pissed off when you give him the side eye. (,:
1027991405405323264	anger	extremely pissed	<username> Yeah i have legit lost it I’m extremely pissed
1027988057579040769	anger	extremely pissed	<username> Whats your opinion on this? Im shocked and extremely pissed 😡 <link>
1027926604444565504	anger	extremely pissed	<username> I am extremely pissed off reading this. Some sick POS. Poor dog.
1027909100208893953	anger	extremely pissed	Guys my glasses got twisted cause of someone.\n\nI'm extremely pissed but I can't be angry at them. \n\nGod damn this
1027802041253421056	anger	extremely pissed	<username> I was extremely pissed and I saw the comments and the rest of my day was great!
1027766443117490176	anger	extremely pissed	I am extremely pissed off rn and as much as i wanna be petty about the issue, im going to let it go for now
1027742755152388096	anger	extremely pissed	I am still extremely pissed year abroad shegged me last year because that cheetah was perfect \n\nWe go again this year!
1027726874288566278	anger	extremely pissed	Extremely pissed off I haven't gotten to watch the Browns tonight. Screw you <username> and <username>. You can both shove it.
1027676522562416640	anger	extremely pissed	I'm so extremely pissed off right now and I could really snap a neckkkk 🤗
```




